%bcond_with reconf

Name: libxml2
Version: 2.9.4
Release: 6
License: MIT
Summary: The XML C parser and toolkit of Gnome
Url: http://xmlsoft.org/

BuildRequires: zlib-devel
BuildRequires: xz-devel

%if %{with reconf}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: m4-gnu
%endif

Source0: ftp://xmlsoft.org/libxml2/libxml2-%{version}.tar.gz

Patch0: libxml2-xml2-config.in.patch


%description
Libxml2 is the XML C parser and toolkit developed for the Gnome project (but
usable outside of the Gnome platform), it is free software available under the
MIT License. XML itself is a metalanguage to design markup languages, i.e. text
language where semantic and structure are added to the content using extra
"markup" information enclosed between angle brackets. HTML is the most
well-known markup language. Though the library is written in C a variety of
language bindings make it available in other environments.


%package -n libxml2-2
Summary: libxml2 library
Provides: %{name} = %{version}

%description -n libxml2-2
Libxml2 is the XML C parser and toolkit developed for the Gnome project (but
usable outside of the Gnome platform), it is free software available under the
MIT License. XML itself is a metalanguage to design markup languages, i.e. text
language where semantic and structure are added to the content using extra
"markup" information enclosed between angle brackets. HTML is the most
well-known markup language. Though the library is written in C a variety of
language bindings make it available in other environments.


%package tools
Summary: libxml2 utilities
Requires: %{name} = %{version}-%{release}

%description tools
XML tools:
- xmlcatalog parses and manipulates XML catalogs
- xmllint is an XML linter

%package devel
Summary: libxml2 development files
Requires: %{name} = %{version}-%{release}

%description devel
libxml2 development files


%prep
%setup -q

%patch0 -p1

%build

%if %{with reconf}
NOCONFIGURE=Y ./autogen.sh
%else
%define _host powerpc64-ibm-aix6
%endif

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --without-python \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  --disable-dependency-tracking
  # end

# TODO: figure out how to build & package python bindings (may need Python 2)
# find . -name Makefile | xargs perl -pi -e 's|Modules/python.exp|/QOpenSys/QIBM/ProdData/OPS/Python2.7/lib/python2.7/config/python.exp|g'

%make_build


%install

%make_install

rm -r %{buildroot}%{_datadir}/gtk-doc

%files -n libxml2-2
%defattr(-, qsys, *none)

%{_libdir}/libxml2.so.2


%files tools
%defattr(-, qsys, *none)

%{_bindir}/xmlcatalog
%{_bindir}/xmllint

%{_mandir}/man1/xmlcatalog.1*
%{_mandir}/man1/xmllint.1*


%files devel
%defattr(-, qsys, *none)

%{_bindir}/xml2-config

%{_libdir}/libxml2.so
%{_libdir}/xml2Conf.sh
%{_libdir}/cmake/libxml2/libxml2-config.cmake
%{_libdir}/pkgconfig/libxml-2.0.pc

%{_includedir}/*
%{_datadir}/aclocal/libxml.m4
%{_defaultdocdir}/libxml2-2.9.4

%{_mandir}/man1/xml2-config.1*
%{_mandir}/man3/libxml.3*


%changelog
* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 2.9.4
- Intra-package Requires need version and release

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 2.9.4
- Use brp-rm-libtool-files

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 2.9.4
- Use generic paths for man and info pages to allow for compression

* Thu May 21 2020 Naveen Ram  <naveen.ram@ibm.com> - 2.9.4
- Fix xml2-config tags causing dynamic linking issues

* Wed Nov 27 2019 Kevin Adler <kadler@us.ibm.com> - 2.9.4
- Move xml2-config man page to libxml2-devel as well
- Fix descriptions
- Clean up build

* Wed Jul 18 2018 - Kevin Adler <kadler@us.ibm.com>
- Move xml2-config to libxml2-devel where it belongs

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unshipped files to fix build

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Build libxml2 with zlib and xz support
- This is required by yum

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Add inter-package dependencies

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Build libxml2 without python bindings

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds
- OBJECT_MODE now always set by build and install macros

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Add defattr to libxml2

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license
